Inhalte
Index 🔎︎

# Anweisung Option ClassModule

Legt fest, dass das Modul ein Klassenmodul ist, das Elemente, Eigenschaften, Prozeduren und Funktionen enthält.

Diese Anweisung muss in einem Modul vor dem ausführbaren Programmcode eingefügt werden.

### Parameter:

Diese Anweisung muss zusammen mit der Anweisung Option Compatible oder Option VBASupport 1 verwendet werden. Ersteres aktiviert den VBA-Kompatibilitätsmodus, während Letzteres die VBA-Unterstützung zusätzlich zur Kompatibilität erzwingt.

### Syntax:

Option ClassModule

### Beispiel:

             Option Compatible
             Option ClassModule

             ' Optionale Teile gehören hier her

             Private Sub Class_Initialize()
                 ' Optionaler Code der Konstruktion gehört hier her
             End Sub ' Konstruktor
             Private Sub Class_Terminate()
                 ' Optionaler Code der Destruktion gehört hier her
             End Sub ' Destruktion

             ' Eigenschaften gehören hier her

             ' Prozeduren und Funktionen gehören hier her.

Verwandte Themen

Unter Betriebssystem identifizieren und Sitzungsinformationen abrufen finden Sie einfache Beispiele für Klassenmodule.

In der gemeinsam genutzten Basisbibliothek von Access2Base sind mehrere ausführliche Klassenbeispiele verfügbar.

Optionen für Anweisung Base

Anweisung Option Explicit

Anweisung Option VBASupport

Option Compatible Statement